List System Annotations

Returns system annotations for the organization. Query parameter website_id is required: it selects the website for access-control (view permission) and filters results to annotations for that website plus annotations not scoped to a single website. Please note that each request must be authenticated.

Query Params
uuid
required

ID of the website.

date_from
array of dates

Start date for the query (inclusive). You can specify mulitple dates which will be paired with corresponding date_to parameters. For example ?date_from=2020-01-01&date_to=2020-01-10&date_from=2021-06-01&date_to=2021-07-01 will create two ranges: [2020-01-01; 2020-01-10] and [2021-06-01; 2021-07-01]. Number of date_from parameters must match number of date_to parameters.

date_from
date_to
array of dates

End date for the query (inclusive). You can specify mulitple dates which will be paired with corresponding date_to parameters. Read more in date_from parameter description.

date_to
integer
1 to 100000
Defaults to 10

Number of rows to return.

integer
≥ 0
Defaults to 0

Number of rows to skip before beginning to return rows.

Responses

400

Bad Request

403

Forbidden (e.g. missing website_id, or caller lacks view on the requested website — permission resolution uses website_id).

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json